Subject: [dns-privacy] DOH proxy

From: manu tman <[email-masked]>
Date: Wed, 15 Nov 2017 23:07:03 +0800

Hi,

As mentioned during the DPRIVE BOF, during IETF 100 hackathon, I hacked a
proof of concept DNS-over-HTTPS proxy.

At the end of the hackathon, it was using HTTP1 and only had a test client.

I got a stub resolver working today as well as using HTTP2.

The code can be found at https://github.com/chantra/doh-proxy

The README has example usage. For the stub and client, there is a hidden
`--insecure` option that will allow to run the stub against a server with a
self-signed cert.

Keep in mind that this is only a POC, so don't expect all the goodness of
HTTP2, TFO, 0-RTT, pipelining, connection pool... to be leveraged.

Manu